**Source URL:** https://general.veevavault.dev/quality/vault-api/api-reference/26.1/haccp/import-haccp-plan-translatable-fields.md

# Import HACCP Plan Translatable Fields



Use this endpoint to import translated *HACCP Plan* data into Vault.

Before submitting this request:

* You must first run the [Export HACCP Plan Translatable Fields](/quality/vault-api/api-reference/26.1/haccp/export-haccp-plan-translatable-fields) and [Retrieve HACCP Plan Translatable Fields](/quality/vault-api/api-reference/26.1/haccp/retrieve-haccp-plan-translatable-fields) APIs and modify the returned JSON file with the appropriate translated data.

* The target *HACCP Plan* must have an associated *HACCP Translation Generation* record in the *Export Complete* lifecycle state.

* You must have permission to edit all translatable fields in the target *HACCP Plan*.

The following guidelines apply to the input file:

* Translated field data must be in JSON format.

* The maximum input JSON file size is 250 MB.

* The following field types are supported for import:

* *Text*  (Metadata return type = `String`)

* *Long Text* (Metadata return type  = `LongText`)

* *Rich Text* (Metadata return type = `RichText`)

* See [translating HACCP Plans in Vault Help](https://quality.veevavault.help/en/gr/991539) for additional guidelines.

<Endpoint path="/api/{version}/app/quality/haccp_plan/{haccp_plan_record_id}/translatable_fields" method="POST"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Content-Type` | `multipart/form-data` |
| `Accept` | `application/json` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{haccp_plan_record_id}` | The *ID* field value for the *HACCP Plan* record you wish to translate. |
</FieldTable>

## Body Parameters {#body-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `file` | The filepath of the JSON document. The maximum allowed file size is 250 MB. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -L 'https://myvault.veevavault.com/api/v25.3/app/quality/haccp_plan/VY7000000003002/translatable_fields' \
-H 'Authorization: {SESSION_ID}' \
-H 'Accept: application/json' \
-H 'Content-Type: multipart/form-data' \
-F 'file=@"/VY7000000003002.json"'

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "responseStatus": "SUCCESS",
    "data": {
        "job_id": "652903"
    }
}

```
</CodeExample>

## Response Details {#response-details}

On `SUCCESS`, Vault returns a `job_id` and populates the translatable fields on the target *HACCP Plan* record and its related records with the values provided in the imported JSON file. On `FAILURE`, the response includes a reason for the failure.



---

**Previous:** [Retrieve HACCP Plan Translatable Fields](/quality/vault-api/api-reference/26.1/haccp/retrieve-haccp-plan-translatable-fields)  
**Next:** [Errors](/quality/vault-api/api-reference/26.1/errors)